<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
* 基本セッションクラス
* @author     Nishino
* @copyright  Shift Tech Inc.
*/
class Session {

	/**
     * コンストラクタ
	 * @author   Nobuo Nishino
	 * @param
	 */
    function __construct()
    {

    }

	/**
     * デストラクタ
	 * @author   Nobuo Nishino
	 * @param
	 */
    function __destruct()
    {

    }

	/**
     * セッション開始(PC)
	 * @author   Nobuo Nishino
	 * @param
	 * @return
	 */
    function s_start_pc()
	{
        session_start();
	}

	/**
     * セッション開始(Mobile)
	 * @author   Nobuo Nishino
	 * @param
	 * @return
	 */
    function s_start_mb()
	{/*
		session_set_cookie_params(0,MB_DOMAIN);
        session_start();*/
	}

	/**
     * セッションデータ取得
	 * @author   Nobuo Nishino
	 * @param    $name String 変数名
	 * @return   String 値
	 */
    function getSessData($name)
    {
        return (isset($_SESSION[$name])) ? $_SESSION[$name] : "";
    }
}

?>